High-Level Data Reduction Library: catalogue/tests/hdrl_cat_casu_bkg_badpatch-test.c File Reference

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Macros | Functions
hdrl_cat_casu_bkg_badpatch-test.c File Reference
`#include <cpl_test.h>`
`#include "../hdrl_cat_casu.h"`
Include dependency graph for hdrl_cat_casu_bkg_badpatch-test.c:

## Macros
#define | NTEST 10
#define | COMP_TOLERANCE 1e-2
#define | CORNER_OFFSET 10
#define | CORNER_REL_TOL 1e-2
#define | X_OS_P1 60
#define | X_OS_P2 95
#define | STAR 7
#define | PATCH_SIZE 100 /* even number (patch is a square) */
#define | IMG_XSIZE 1100
#define | IMG_YSIZE 1500
#define | CELL_SIZE 32
#define | MIN_RAMP 10.
#define | MAX_RAMP 100.
#define | APER_FLUX_NUM "Aper_flux_3"

## Functions
cpl_error_code | hdrl_casubkg_badpatch_compute (void)
| Check effect of bad pixel square patches in various conditions.
int | main (void)
| Unit tests of bad patches in background.

## Macro Definition Documentation

## ◆ APER_FLUX_NUM

#define APER_FLUX_NUM "Aper_flux_3"

## ◆ CELL_SIZE

#define CELL_SIZE 32

## ◆ COMP_TOLERANCE

#define COMP_TOLERANCE 1e-2

## ◆ CORNER_OFFSET

#define CORNER_OFFSET 10

## ◆ CORNER_REL_TOL

#define CORNER_REL_TOL 1e-2

## ◆ IMG_XSIZE

#define IMG_XSIZE 1100

## ◆ IMG_YSIZE

#define IMG_YSIZE 1500

## ◆ MAX_RAMP

#define MAX_RAMP 100.

## ◆ MIN_RAMP

#define MIN_RAMP 10.

## ◆ NTEST

#define NTEST 10

## ◆ PATCH_SIZE

#define PATCH_SIZE 100 /* even number (patch is a square) */

## ◆ STAR

#define STAR 7

## ◆ X_OS_P1

#define X_OS_P1 60

## ◆ X_OS_P2

#define X_OS_P2 95

## Function Documentation

## ◆ hdrl_casubkg_badpatch_compute()

cpl_error_code hdrl_casubkg_badpatch_compute | ( | void |  | ) |

Check effect of bad pixel square patches in various conditions.

Note
  Magic numerical constants inherited from 'hdrl_casu_catalogue-test.c'

Returns
  cpl_error_code

## ◆ main()

int main | ( | void |  | ) |

Unit tests of bad patches in background.